Return one tenant by Entitlement-Tenant id.

Permission Level: Read

GET /workertenant/v1/tenants/entitlements/{entitlementTenantId}

Operation id: WorkerTenantService_GetTenantEntitlement

Tags: WorkerTenantService

Parameters

Path parameters

NameTypeRequiredDescription
entitlementTenantIdstringYes

Query parameters

NameTypeRequiredDescription
entitlementSystemstringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantobjectNo
{
  "type": "object",
  "properties": {
    "tenant": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string"
        },
        "tenantName": {
          "type": "string"
        },
        "createdTime": {
          "type": "string",
          "format": "date-time"
        },
        "updatedTime": {
          "type": "string",
          "format": "date-time"
        },
        "lastModifiedBy": {
          "type": "string"
        },
        "createdBy": {
          "type": "string"
        },
        "zebraContact": {
          "type": "string"
        },
        "primaryContactEmail": {
          "type": "string"
        },
        "primaryContactFirstName": {
          "type": "string"
        },
        "primaryContactLastName": {
          "type": "string"
        },
        "entitlements": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entitlementSystem": {
                "type": "string"
              },
              "entitlementTenantId": {
                "type": "string"
              },
              "baseUrl": {
                "type": "string"
              },
              "landingPageUrl": {
                "type": "string"
              },
              "licenseModel": {
                "type": "string"
              }
            }
          }
        },
        "generatedUrl": {
          "type": "string"
        },
        "tenantFriendlyName": {
          "type": "string"
        },
        "authType": {
          "type": "string",
          "description": "- NONE: The tenant does not support authentication of users\n - OIDC: The tenant uses OpenID Connect to authenticate users\n - SAML2: The tenant uses SAML (v2) to authenticate users\n - LDAP: The tenant uses LDAP to authenticate users",
          "enum": [
            "NONE",
            "OIDC",
            "SAML2",
            "LDAP"
          ],
          "default": "NONE"
        },
        "oidcClientInfo": {
          "type": "object",
          "properties": {
            "clientId": {
              "type": "string"
            },
            "clientSecret": {
              "type": "string"
            },
            "clientAuthenticationMethod": {
              "type": "string",
              "description": "- BASIC: Use Basic Auth\n - POST: Use POST body\n - NONE: No authentication is required",
              "enum": [
                "BASIC",
                "POST",
                "NONE"
              ],
              "default": "BASIC"
            },
            "authorizationGrantType": {
              "type": "string",
              "description": "- AUTHORIZATION_CODE: Use the Authorization Code grant type\n\nWe will add more if required by some IDP.",
              "enum": [
                "AUTHORIZATION_CODE"
              ],
              "default": "AUTHORIZATION_CODE"
            },
            "scope": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "discoveryUri": {
              "type": "string"
            },
            "providerDetails": {
              "type": "object",
              "properties": {
                "authorizationUri": {
                  "type": "string"
                },
                "tokenUri": {
                  "type": "string"
                },
                "userInfoUri": {
                  "type": "string"
                },
                "userNameAttributeName": {
                  "type": "string"
                },
                "jwkSetUri": {
                  "type": "string"
                },
                "revocationEndpoint": {
                  "type": "string",
                  "description": "Token revocation endpoint. Required: false\nIf provided, a backchannel request will be made to the IDP to invalidate the current OIDC token(s): access and refresh tokens, if available.\nThis request may not invalidate the End-User's session on the IDP side depending on the IDP's implementation."
                },
                "endSessionEndpoint": {
                  "type": "string"
                },
                "deviceAuthorizationEndpoint": {
                  "type": "string"
                }
              }
            },
            "externalRedirectUri": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "claimsEnabled": {
              "type": "boolean"
            },
            "userNameAttributeName": {
              "type": "string",
              "description": "Name of the OIDC claim whose value will be mapped to the local username. Required: false. Default: `sub`\nNote: This field is only used when the `discovery_uri` field is set. The framework uses the claim `sub` as fallback."
            },
            "postLogoutRedirectUri": {
              "type": "array",
              "description": "Location to redirect the End-User's User Agent after a logout has been performed. Required: false\nThis value is only used if `provider_details.end_session_endpoint` is set. \nIt is appened to the IDP logout request as a query string parameter, according to the standard.\nhttps://openid.net/specs/openid-connect-rpinitiated-1_0.html#RedirectionAfterLogout\nThis value should be previously registered at the IDP.",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "saml2ClientInfo": {
          "type": "object",
          "properties": {
            "entityId": {
              "type": "string"
            },
            "idpEntityId": {
              "type": "string"
            },
            "ssoServiceEndpoint": {
              "type": "string"
            },
            "singleLogoutServiceEndpoint": {
              "type": "string"
            },
            "encryptionKey": {
              "type": "string"
            },
            "verificationCert": {
              "type": "string"
            },
            "idpMetadataUrl": {
              "type": "string",
              "description": "IDP SAML metadada URL. Overrides the IDP fields listed previously. Required: false."
            },
            "externalRedirectUri": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "logoutRedirectUri": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "idpMetadata": {
              "type": "string",
              "description": "This is the contents of the IDP metada file. Required: false\nIf set, idp_metadata_url is ignored.\nThis should be encoded as bas64 to account for the special characters used by XML."
            },
            "selfHostedIdpMetadataUrl": {
              "type": "string",
              "description": "URL of the self-hosted IDP metadata URL. Required: false.\nUse this field if the IDP metadata was uploaded to the File Store Service (FSS)\nUnlike the idp_metadata_url, this URL is not public, and can only be accessed through an authenticated request.\nIf set, idp_metadata_url is ignored."
            },
            "userNameAttributeName": {
              "type": "string",
              "description": "Name of the SAML assertion attribute whose value will be mapped to the local username. Required: false.\nIf not set, the username is is retrieved from the `NameID` element of the SAML assertion."
            }
          }
        },
        "claims": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "routingString": {
          "type": "string"
        },
        "zebraAccountNumber": {
          "type": "string"
        },
        "attributes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "scope": {
                "type": "string"
              },
              "fieldName": {
                "type": "string"
              },
              "value": {
                "type": "string"
              },
              "domain": {
                "type": "string"
              },
              "extraType": {
                "type": "string",
                "enum": [
                  "UNDEFINED",
                  "JSON",
                  "TIMESTAMP"
                ],
                "default": "UNDEFINED"
              },
              "extraValue": {
                "type": "object"
              }
            }
          }
        },
        "baseRole": {
          "type": "boolean"
        },
        "emailDomain": {
          "type": "string"
        },
        "region": {
          "type": "string",
          "description": "Region of the tenant. Required: false. Default: US."
        },
        "ldapClientInfo": {
          "type": "object",
          "properties": {
            "providerUrl": {
              "type": "string"
            },
            "userDnPattern": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "externalRedirectUri": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "autoGenerated": {
          "type": "boolean"
        },
        "defaultLocale": {
          "type": "string"
        },
        "primaryContactUserId": {
          "type": "string"
        },
        "idpState": {
          "type": "string",
          "enum": [
            "INVALID_STATE",
            "NOT_SETUP",
            "IN_PROGRESS",
            "SETUP"
          ],
          "default": "INVALID_STATE"
        },
        "usesKeycloak": {
          "type": "boolean"
        },
        "apiKey": {
          "type": "string"
        },
        "autoAssignLicenseDomains": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}